OGRE-Next: Ogre::X11EGLWindow Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::X11EGLWindow Class Reference

`#include <OgreX11EGLWindow.h>`

Inheritance diagram for Ogre::X11EGLWindow:
[legend]

## Public Member Functions
| X11EGLWindow (X11EGLSupport *glsupport)
virtual | ~X11EGLWindow ()
void | create (const String &name, unsigned int width, unsigned int height, bool fullScreen, const NameValuePairList *miscParams)
virtual void | getCustomAttribute (const String &name, void *pData)
virtual void | setFullscreen (bool fullscreen, uint width, uint height)
Public Member Functions inherited from Ogre::EGLWindow
| EGLWindow (const String &title, uint32 width, uint32 height, bool fullscreenMode, PixelFormatGpu depthStencilFormat, const NameValuePairList *miscParams, EGLGLSupport *glsupport)
| EGLWindow (EGLSupport *glsupport)
virtual | ~EGLWindow ()
virtual | ~EGLWindow ()
virtual void | _initialize (TextureGpuManager *textureManager)
virtual void | _setVisible (bool visible)
| Internal method to notify the window it has been obscured or minimized.
void | copyContentsToMemory (const Box &src, const PixelBox &dst, FrameBuffer buffer)
virtual void | destroy ()
void | destroy ()
virtual void | getCustomAttribute (IdString name, void *pData)
virtual bool | isClosed () const
| Indicates whether the window has been closed by the user.
bool | isClosed () const
| Indicates whether the window has been closed by the user.
bool | isHidden () const
| Indicates whether the window was set to hidden (not displayed).
bool | isVisible () const
bool | isVisible () const
void | requestFullscreenSwitch (bool goFullscreen, bool borderless, uint32 monitorIdx, uint32 width, uint32 height, uint32 frequencyNumerator, uint32 frequencyDenominator)
| Requests to toggle between fullscreen and windowed mode.
void | requestResolution (uint32 width, uint32 height)
| Requests a change in resolution.
bool | requiresTextureFlipping () const
bool | requiresTextureFlipping () const
void | setHidden (bool hidden)
| Hide (or show) the window.
void | setVisible (bool visible)
virtual void | setVSync (bool vSync, uint32 vSyncInterval)
| Turns VSync on/off.
void | swapBuffers ()
void | swapBuffers ()
Public Member Functions inherited from Ogre::Window
| Window (const String &title, uint32 widthPt, uint32 heightPt, bool fullscreenMode)
virtual | ~Window ()
void | _setPrimary ()
| Indicates that this is the primary window.
virtual bool | canDownloadData () const
| Returns true if you can download to CPU (i.e.
bool | getBorderless () const
TextureGpu * | getDepthBuffer () const
uint32 | getFrequencyDenominator () const
uint32 | getFrequencyNumerator () const
uint32 | getHeight () const
virtual void | getMetrics (uint32 &width, uint32 &height, int32 &left, int32 &top) const
| Overloaded version of getMetrics from RenderTarget, including extra details specific to windowing systems.
PixelFormatGpu | getPixelFormat () const
uint32 | getRequestedHeightPt () const
uint32 | getRequestedWidthPt () const
SampleDescription | getSampleDescription () const
TextureGpu * | getStencilBuffer () const
TextureGpu * | getTexture () const
| WARNING: Attempting to change the TextureGpu (e.g.
const String & | getTitle () const
virtual float | getViewPointToPixelScale () const
| Many windowing systems that support HiDPI displays use special points to specify size of the windows and controls, so that windows and controls with hardcoded sizes does not become too small on HiDPI displays.
bool | getVSync () const
uint32 | getVSyncInterval () const
uint32 | getWidth () const
bool | isFocused () const
bool | isFullscreen () const
| Returns true if we are currently in fullscreen mode.
virtual bool | isManualSwapRelease () const
| Returns the value set by setManualSwapRelease when supported.
bool | isMultisample () const
bool | isPrimary () const
virtual void | performManualRelease ()
| See Window::setManualSwapRelease.
virtual void | setBorderless (bool borderless)
virtual void | setFocused (bool focused)
virtual void | setFsaa (const String &fsaa)
| Set the FSAA mode to be used if hardware support it.
virtual void | setManualSwapRelease (bool bManualRelease)
| Metal doesn't want us to hold on to a drawable after presenting.
virtual void | setTitle (const String &title)
virtual void | setWantsToDownload (bool bWantsToDownload)
| On Metal you must call this function and set it to true in order to take pictures.
bool | wantsToGoFullscreen () const
| Returns true if we are in windowed mode right now, but want to go fullscreen.
bool | wantsToGoWindowed () const
| Returns true if we are in fullscreen mode right now, but want to go windowed mode.

## Constructor & Destructor Documentation

## ◆ X11EGLWindow()

Ogre::X11EGLWindow::X11EGLWindow | ( | X11EGLSupport * | glsupport | ) |

## ◆ ~X11EGLWindow()

virtual Ogre::X11EGLWindow::~X11EGLWindow | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ create()

void Ogre::X11EGLWindow::create | ( | const String & | name,
|  | unsigned int | width,
|  | unsigned int | height,
|  | bool | fullScreen,
|  | const NameValuePairList * | miscParams )

## ◆ getCustomAttribute()

virtual void Ogre::X11EGLWindow::getCustomAttribute | ( | const String & | name,
|  | void * | pData )
| virtual

Remarks
  Get custom attribute; the following attributes are valid: XDISPLAY The X Display connection behind that context. XWINDOW The X NativeWindowType connection behind that context. ATOM The X Atom used in client delete events.

Reimplemented from Ogre::EGLWindow.

## ◆ setFullscreen()

virtual void Ogre::X11EGLWindow::setFullscreen | ( | bool | fullscreen,
|  | uint | width,
|  | uint | height )
| virtual

Reimplemented from Ogre::EGLWindow.

The documentation for this class was generated from the following file:

- OgreX11EGLWindow.h